apiVersion: batch/v1
kind: Job
metadata:
  name: db-migration
  labels:
    job: db-migration
spec:
  template:
    spec:
      restartPolicy: Never
      containers:
        - name: migrations
          image: db-migration
          command:
            - /flyway/flyway
            - -url=jdbc:postgresql://$(DATABASE_HOST):$(DATABASE_PORT)/$(DATABASE_NAME)
            - -user=$(DATABASE_USERNAME)
            - -password=$(DATABASE_PASSWORD)
            - -connectRetries=30
            - migrate
          envFrom:
            - configMapRef:
                name: postgres
            - configMapRef:
                name: database-config
            - secretRef:
                name: database-secrets